%global _empty_manifest_terminate_build 0
Name:		python-jenkins
Version:	1.7.0
Release:	1
Summary:	Python bindings for the remote Jenkins API
License:	BSD
URL:		http://git.openstack.org/cgit/openstack/python-jenkins
Source0:	https://files.pythonhosted.org/packages/85/8e/52223d8eebe35a3d86579df49405f096105328a9d80443eaed809f6c374f/python-jenkins-1.7.0.tar.gz
BuildArch:	noarch

Requires:	python3-six
Requires:	python3-pbr
Requires:	python3-multi-key-dict
Requires:	python3-requests

%description
Python Jenkins is a python wrapper for the REST API which aims to provide a more 
conventionally pythonic way of controlling a Jenkins server.  

%package -n python3-jenkins
Summary:	Python bindings for the remote Jenkins API
Provides:	python-jenkins
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-jenkins
Python Jenkins provides a higher-level API containing a number of convenience functions.

%package help
Summary:	Development documents and examples for python-jenkins
Provides:	python3-jenkins-doc
%description help
Python Jenkins provide a more conventionally pythonic way of controlling
a Jenkins server.  

%prep
%autosetup -n python-jenkins-1.7.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jenkins -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 27 2021 Python_Bot <Python_Bot@openeuler.org> - 1.7.0-1
- Package Spec generated
